/* Copyright (c) 2012 Nordic Semiconductor. All Rights Reserved.
*
* The information contained herein is property of Nordic Semiconductor ASA.
* Terms and conditions of usage are described in detail in NORDIC
* SEMICONDUCTOR STANDARD SOFTWARE LICENSE AGREEMENT.
*
* Licensees are granted free, non-transferable use of the information. NO
* WARRANTY of ANY KIND is provided. This heading must NOT be removed from
* the file.
*/

/**
* This file is autogenerated by nRFgo Studio 1.15.0.2677 
*/

#ifndef SETUP_MESSAGES_H__
#define SETUP_MESSAGES_H__

#include "hal_platform.h" 
#include "aci.h"

#define ACI_DYNAMIC_DATA_SIZE 211
#define PIPE_METROLOGY_DATASEND_TX_ACK 1
#define PIPE_METROLOGY_DATASEND_TX_ACK_MAX_SIZE 20

#define PIPE_METROLOGY_DATASET_SET 2
#define PIPE_METROLOGY_DATASET_SET_MAX_SIZE 20

#define PIPE_METROLOGY_REMOTEREQ_RX 3
#define PIPE_METROLOGY_REMOTEREQ_RX_MAX_SIZE 20

#define PIPE_METROLOGY_REMOTERESP_TX 4
#define PIPE_METROLOGY_REMOTERESP_TX_MAX_SIZE 20


#define NUMBER_OF_PIPES 4

#define SERVICES_PIPE_TYPE_MAPPING_CONTENT {\
  {ACI_STORE_LOCAL, ACI_TX_ACK},   \
  {ACI_STORE_LOCAL, ACI_SET},   \
  {ACI_STORE_LOCAL, ACI_RX},   \
  {ACI_STORE_LOCAL, ACI_TX},   \
}

#define GAP_PPCP_MAX_CONN_INT 0xffff /**< Maximum connection interval as a multiple of 1.25 msec , 0xFFFF means no specific value requested */
#define GAP_PPCP_MIN_CONN_INT  0xffff /**< Minimum connection interval as a multiple of 1.25 msec , 0xFFFF means no specific maximum*/
#define GAP_PPCP_SLAVE_LATENCY 0
#define GAP_PPCP_CONN_TIMEOUT 0xffff /** Connection Supervision timeout multiplier as a multiple of 10msec, 0xFFFF means no specific value requested */

#define NB_SETUP_MESSAGES 22
#define SETUP_MESSAGES_CONTENT {\
    {0x00,\
        {\
            0x07,0x06,0x00,0x00,0x02,0x02,0x41,0xd7,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x10,0x00,0x00,0x00,0x28,0x9c,0x00,0x00,0x04,0x00,0x04,0x04,0x06,0x00,0x01,0x06,0x00,0x02,\
            0xd0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x50,\
        },\
    },\
    {0x00,\
        {\
            0x1e,0x06,0x10,0x1c,0x00,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
            0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x20,0x03,0x90,0x01,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x20,0x00,0x04,0x04,0x02,0x02,0x00,0x01,0x28,0x00,0x01,0x00,0x18,0x04,0x04,0x05,0x05,0x00,\
            0x02,0x28,0x03,0x01,0x02,0x03,0x00,0x00,0x2a,0x04,0x04,0x14,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x20,0x1c,0x05,0x00,0x03,0x2a,0x00,0x01,0x53,0x59,0x32,0x38,0x39,0x63,0x73,0x65,0x6d,0x69,\
            0x2e,0x63,0x6f,0x6d,0x00,0x00,0x00,0x00,0x00,0x00,0x04,0x04,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x20,0x38,0x05,0x05,0x00,0x04,0x28,0x03,0x01,0x02,0x05,0x00,0x01,0x2a,0x06,0x04,0x03,0x02,\
            0x00,0x05,0x2a,0x01,0x01,0x00,0x00,0x04,0x04,0x05,0x05,0x00,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x20,0x54,0x06,0x28,0x03,0x01,0x02,0x07,0x00,0x04,0x2a,0x06,0x04,0x09,0x08,0x00,0x07,0x2a,\
            0x04,0x01,0xff,0xff,0xff,0xff,0x00,0x00,0xff,0xff,0x04,0x04,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x20,0x70,0x02,0x02,0x00,0x08,0x28,0x00,0x01,0x01,0x18,0x04,0x04,0x10,0x10,0x00,0x09,0x28,\
            0x00,0x01,0x40,0x28,0x05,0x30,0xae,0x7d,0x33,0x4c,0x0e,0x6d,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x20,0x8c,0xaf,0xca,0x00,0x50,0xb2,0xc1,0x04,0x04,0x13,0x13,0x00,0x0a,0x28,0x03,0x01,0x22,\
            0x0b,0x00,0x40,0x28,0x05,0x30,0xae,0x7d,0x33,0x4c,0x0e,0x6d,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x20,0xa8,0xaf,0xca,0x10,0x50,0xb2,0xc1,0x24,0x04,0x14,0x01,0x00,0x0b,0x50,0x10,0x02,0x0d,\
            0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x20,0xc4,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x46,0x14,0x03,0x02,0x00,0x0c,0x29,0x02,0x01,\
            0x00,0x00,0x04,0x04,0x13,0x13,0x00,0x0d,0x28,0x03,0x01,0x02,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x20,0xe0,0x0e,0x00,0x40,0x28,0x05,0x30,0xae,0x7d,0x33,0x4c,0x0e,0x6d,0xaf,0xca,0x11,0x50,\
            0xb2,0xc1,0x04,0x04,0x14,0x01,0x00,0x0e,0x50,0x11,0x02,0x2d,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x20,0xfc,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
            0x00,0x00,0x00,0x04,0x04,0x13,0x13,0x00,0x0f,0x28,0x03,0x01,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x21,0x18,0x06,0x10,0x00,0x40,0x28,0x05,0x30,0xae,0x7d,0x33,0x4c,0x0e,0x6d,0xaf,0xca,0x12,\
            0x50,0xb2,0xc1,0x44,0x14,0x14,0x01,0x00,0x10,0x50,0x12,0x02,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x21,0x34,0x0d,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
            0x00,0x00,0x00,0x00,0x04,0x04,0x13,0x13,0x00,0x11,0x28,0x03,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x21,0x50,0x01,0x12,0x12,0x00,0x40,0x28,0x05,0x30,0xae,0x7d,0x33,0x4c,0x0e,0x6d,0xaf,0xca,\
            0x13,0x50,0xb2,0xc1,0x14,0x04,0x14,0x01,0x00,0x12,0x50,0x13,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x21,0x6c,0x02,0x0d,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
            0x00,0x00,0x00,0x00,0x00,0x46,0x14,0x03,0x02,0x00,0x13,0x29,\
        },\
    },\
    {0x00,\
        {\
            0x08,0x06,0x21,0x88,0x02,0x01,0x00,0x00,0x00,\
        },\
    },\
    {0x00,\
        {\
            0x1f,0x06,0x40,0x00,0x50,0x10,0x02,0x00,0x04,0x04,0x00,0x0b,0x00,0x0c,0x50,0x11,0x02,0x00,0x80,0x04,\
            0x00,0x0e,0x00,0x00,0x50,0x12,0x02,0x00,0x08,0x04,0x00,0x10,\
        },\
    },\
    {0x00,\
        {\
            0x0f,0x06,0x40,0x1c,0x00,0x00,0x50,0x13,0x02,0x00,0x02,0x04,0x00,0x12,0x00,0x13,\
        },\
    },\
    {0x00,\
        {\
            0x13,0x06,0x50,0x00,0x40,0x28,0x05,0x30,0xae,0x7d,0x33,0x4c,0x0e,0x6d,0xaf,0xca,0x00,0x00,0xb2,0xc1,\
        },\
    },\
    {0x00,\
        {\
            0x06,0x06,0xf0,0x00,0x02,0x25,0xb4,\
        },\
    },\
}

#endif
